#include "picsys18.h"

void
setup()
{
	pinMode(LED1, OUTPUT) ;
	
	digitalWrite(LED1, LOW) ;

	pinMode(SW1, INPUT) ;
	pinMode(SW2, INPUT) ;
	
	while (!USB_attached()) ;
	
	digitalWrite(LED1, HIGH) ;
}

char buff[20] ;
char buff1[20] ;

void loop()
{
	int c ;
    int v ;
    float temp ; // 温度の計算は実数で
    char *s ;
	
	if (USB_attached()) {
		digitalWrite(LED1, LOW) ;
		USB_putc(digitalRead(SW1) ? '0' : '1') ;
		USB_putc(digitalRead(SW2) ? '0' : '1') ;

#if 0
		v = analogRead(PHOTO_SENSOR) ;
//		sprintf(buff, "PHOTO: %d\r\n", v) ; // アカルサ
		ltos(buff,(long)v,10) ;
		USB_putrs(": ") ;
		USB_puts(buff) ;
		
#endif
		USB_putrs("\r\n") ;
#if 0
    	v = analogRead(TEMP_SENSOR) ;

    	temp = 2.5 / 1024 * v ;  // 読み取った値を電圧に換算
    	temp -= 0.4 ;  // 温度センサーの0度のオフセット:400mV
    	temp /= 0.01953 ; // １度あたり19.53mVの電圧増加

		ftos(buff1, temp, 2) ;
//		sprintf(buff, "\265\335\304\336 %s\337C", buff1) ;  // オンド * 度C
		USB_puts(buff1) ;
		USB_putrs("+\r\n") ;
#endif
	}else {
		digitalWrite(LED1, HIGH) ;
	}
	
	delayMilliseconds(100) ;
//	digitalWrite(LED1, ((millis()/500) % 2)) ;
}

